org.springframework.data.geo

## Class Point

- java.lang.Object
- - org.springframework.data.geo.Point

All Implemented Interfaces:
  Serializable

    public class Point
    extends Object
    implements Serializable

Represents a geospatial point value.

Since:
  1.8
Author:
  Mark Pollack, Oliver Gierke, Thomas Darimont
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Point(double x, double y)` Creates a `Point` from the given `x`, `y` coordinate.
`Point(Point point)` Creates a `Point` from the given `Point` coordinate.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`double` `getX()` Returns the x-coordinate of the `Point`.
`double` `getY()` Returns the y-coordinate of the `Point`.
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Point

    public Point(double x,
                 double y)

Creates a `Point` from the given `x`, `y` coordinate.

Parameters:
  `x` -
  `y` -

#### Point

    public Point(Point point)

Creates a `Point` from the given `Point` coordinate.

Parameters:
  `point` - must not be null.

### Method Detail

#### getX

    public double getX()

Returns the x-coordinate of the `Point`.

Returns:

#### getY

    public double getY()

Returns the y-coordinate of the `Point`.

Returns:

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(@Nullable
                          Object obj)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`